Subject: Re: bug#63187: 30.0.50; Tail of longer lines painted after end of nearby lines on macOS

From: Aaron Jensen <[email-masked]>
Date: Sun, 30 Apr 2023 06:46:28 -0400

On Sun, Apr 30, 2023 at 6:32 AM Eli Zaretskii <[email-masked]> wrote:
>
> > From: Aaron Jensen <[email-masked]>
> > Date: Sun, 30 Apr 2023 06:10:22 -0400
> >
> > I don't have a good recipe for this. It has been happening occasionally
> > for quite some time (the attached screenshots are from 2021, but the
> > same thing is still occurring). Every once in a while, a part of the
> > Emacs frame gets into a state where glyphs from nearby lines can be
> > painted after the tail end of other lines. This seems to be related to
> > scrolling (that is, while scrolling, the glyphs replicate onto nearby
> > lines, but when scrolling back they stay. I usually have to force a full
> > repaint to get the glyphs to disappear.
>
> Thanks, but this is impossible to handle without some kind of recipe,
> even if it only reproduces sometimes.
>
> FWIW, it never happens for me, so maybe it's macOS-specific.

I'm guessing it is macOS specific. I'm not familiar enough w/ how
rendering works to even start to look at this. I do understand that
it's impossible/difficult to handle without a recipe. The only hope at
the moment is that someone is familiar enough w/ the macOS rendering
that they could spot a potential for something like this to happen.
I'll keep seeing if I can figure out what causes it.

Thanks,

Aaron